﻿#Const Type = "Final"
'#Const Type = "Intro"

#If Type = "Intro" Then

#Region "snippet_Intro"

Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel.DataAnnotations.Schema

Namespace Models

    Public Enum Grade
        A
        B
        C
        D
        F
    End Enum

    Public Class Enrollment

        Public Property EnrollmentID As Integer

        Public Property CourseID As Integer

        Public Property StudentID As Integer

        Public Property Grade As Grade?

        Public Property Course As Course

        Public Property Student As Student
    End Class

End Namespace

#End Region

#ElseIf Type = "Final" Then

#Region "snippet_Final"

Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel.DataAnnotations.Schema

Namespace Models

    Public Enum Grade
        A
        B
        C
        D
        F
    End Enum

    Public Class Enrollment

        Public Property EnrollmentID As Integer

        Public Property CourseID As Integer

        Public Property StudentID As Integer

        <DisplayFormat(NullDisplayText:="No grade")>
        Public Property Grade As Grade?

        Public Property Course As Course

        Public Property Student As Student
    End Class
End Namespace

#End Region

#End If